Skip to main content
GET
/
operators
/
{address}
/
rewards
Retrieve rewards info for an operator
curl --request GET \
  --url https://api.eigenexplorer.com/operators/{address}/rewards \
  --header 'X-API-Token: <x-api-token>'
import requests

url = "https://api.eigenexplorer.com/operators/{address}/rewards"

headers = {"X-API-Token": "<x-api-token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Token': '<x-api-token>'}};

fetch('https://api.eigenexplorer.com/operators/{address}/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "address": "0xdbed88d83176316fc46797b43adee927dc2ff2f5",
  "rewardTokens": [
    "0xba50933c268f567bdc86e1ac131be072c6b0b71a",
    "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2"
  ],
  "rewardStrategies": [
    "0x0fe4f44bee93503346a3ac9ee5a26b130a5796d6",
    "0x13760f50a9d7377e4f20cb8cf9e4c26586c658ff"
  ]
}
{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}
{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}
{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}
{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}
{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}
{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}
{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}

Headers

X-API-Token
string
required

API Token for authentication

Path Parameters

address
string
required

The address of the operator

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x00107cfdeaddc0a3160ed2f6fedd627f313e7b1a"

Response

The reward strategies and tokens found for the Operator.

address
string
required

The contract address of the AVS operator

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0xdbed88d83176316fc46797b43adee927dc2ff2f5"

rewardTokens
string[]
required

List of tokens in which the operator receives rewards

Pattern: ^0x[a-fA-F0-9]{40}$
Example:
[
"0xba50933c268f567bdc86e1ac131be072c6b0b71a",
"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2"
]
rewardStrategies
string[]
required

List of strategies for which the operator receives rewards

Pattern: ^0x[a-fA-F0-9]{40}$
Example:
[
"0x0fe4f44bee93503346a3ac9ee5a26b130a5796d6",
"0x13760f50a9d7377e4f20cb8cf9e4c26586c658ff"
]